﻿@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700;900&display=swap');

:root {
    --primary-oxford-blue: #1E325C;
    --primary-orange-web: #FCA311;
    --primary-platinum: #E5E5E5;
    --primary-black: #000;
    --primary-white: #fff;
    --success-color: #4BB543;
    --error-color: red;
    --colorTextDisabled: #a19f9d;
    --colorInputBackgroundDisabled: #f3f2f1;
    --navbar-top-height: 3.5rem;
    --sidebar-open-padding-width: 265px;
    --sidebar-closed-padding-width: 0;
    --blockquote-bg-color: #fff6e0;
    --blockquote-border-color: #fff6e0;
    --selected-border-color: var(--primary-oxford-blue);
    --lighter-primary-orange-web: #FCA31130;
    --lighter-primary-oxford-blue: rgba(30, 50, 92, .15);
    --loading-spinner-width: 40px;
}


/*Fonts*/



html, body {
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    background-color: var(--primary-platinum);
}

p button {
    margin: 0 !important;
    padding: 0 !important;
    line-height: 0 !important;
}

.fa-solid {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

app {
    position: relative;
    /*display: flex;*/
    flex-direction: column;
}



.content {
    overflow: hidden;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.main {
    position: relative;
    display: flex;
    flex: 1;
    flex-direction: column;
    padding-left: var(--sidebar-open-padding-width);
    min-height: 100vh - var(--navbar-top-height);
    overflow-y: auto;
}

.main-body {
    flex: 1;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid var(--bc-error);
}

.validation-message {
    color: var(--bc-error);
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}
@media (max-width: 767.98px) {
    /*.main .top-row:not(.auth) {*/
    /*    display: none;*/
    /*}*/

    /*.main .top-row.auth {*/
    /*    justify-content: space-between;*/
    /*}*/

    /*.main .top-row a, .main .top-row .btn-link {*/
    /*    margin-left: 0;*/
    /*}*/

    .content {
        margin-left: 0px;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    /*.main .top-row {*/
    /*    padding: 0 24px;*/
    /*    background-color: #fff;*/
    /*    -webkit-box-shadow: 0 0 35px 0 rgba(154,161,171,.15);*/
    /*    box-shadow: 0 0 35px 0 rgba(154,161,171,.15);*/
    /*    min-height: 70px;*/
    /*    position: fixed;*/
    /*    left: 250px;*/
    /*    top: 0;*/
    /*    right: 0;*/
    /*    z-index: 1001;*/
    /*}*/

    /*    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }*/

    .navbar-toggler {
        display: none;
    }
}





.breadcrumb {
    background-color: transparent;
}

.breadcrumb-link {
    color: var(--background-color);
    font-weight: 500;
}

.breadcrumb-link:hover {
    color: var(--primary-color);
}

.e-print::before {
    content: "\1f5b6";
}

.alert-layer {
    position: fixed;
    top: 30%;
    left: 50%;
    width: 300px;
    max-width: 400px;
    z-index: 10000;
}

.form-item-content {
    display: block;
    overflow-wrap: anywhere;
    font-weight: 550;
    min-height: 30px;
}

.page {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.page-body {
    display: flex;
    flex: 1;
}

@media (max-width: 992px) {
    .main {
        padding-left: var(--sidebar-closed-padding-width);
    }
}

.bc-blockquote .title {
    font-weight: 600;
    margin-top: 4px;
    margin-bottom: 0;
    font-size: 1.0em;
}

.bc-blockquote p {
    font-size: 14px;
    margin-bottom: 0;
}

.bc-blockquote {
    padding: 8px 12px;
    margin: 0 0;
    background-color: var(--blockquote-bg-color);
    border: 0.5px solid var(--blockquote-border-color);
    text-align: left;
}

.bc-menu-item {
    height: 36px;
}

.nav-body-content {
    margin-top: 1.2rem;
}

.sub-details-right {
    display: flex;
    flex-direction: row;
    column-gap: 20px;
}





